Bug 206966 - mkinitrd --rootfs nfs missing sunrpc.ko
mkinitrd --rootfs nfs missing sunrpc.ko
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-09-18 11:14 EDT by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 13:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2006-09-18 11:14:52 EDT
nfs module dependency chain
===========================
Module                  Size  Used by
nfs                   262313  0 
lockd                  68457  1 nfs
fscache                22401  1 nfs
nfs_acl                 7873  1 nfs
sunrpc                162717  4 nfs,lockd,nfs_acl

mkinitrd-5.1.15-1
kernel-2.6.17-1.2647.fc6

mkinitrd --net-dev=eth0 --with=8139too --rootdev 192.168.0.254:/opt/ltsp/i386
--rootfs nfs -f /tmp/initrd.img 2.6.17-1.2647.fc6

echo "Loading nfs_acl.ko module"
insmod /lib/nfs_acl.ko
echo "Loading fscache.ko module"
insmod /lib/fscache.ko
echo "Loading lockd.ko module"
insmod /lib/lockd.ko
echo "Loading nfs.ko module"
insmod /lib/nfs.ko

mkinitrd fails to pull in sunrpc.ko.
Comment 1 Jeremy Katz 2006-09-21 13:52:12 EDT
This will be fixed with a hack in mkinitrd-5.1.16

Note You need to log in before you can comment on or make changes to this bug.